POST account/agentlogin
mainly used for website Agent login ---> AgentUser authenticate a user with email and the hash of password; SHA256 is used for the hash of password for now, we allow sso user who have set a password in the site login through the api.
Request Information
Parameters
| Name | Description | Additional information |
|---|---|---|
| inVO | email address of agent |
Define this parameter in the request body. |
Request body formats
application/json, text/json
Sample:
{
"email": "sample string 1",
"password": "sample string 2",
"userTableType": 3,
"isSuperAdminLogin": true,
"curUserId": "sample string 5",
"isSSO": true,
"requestHost": "sample string 7",
"applicationPath": "sample string 8",
"secureApplicationPath": "sample string 9",
"absoluteApplicationPath": "sample string 10",
"isHttps": true,
"isMobileDevice": true,
"clientType": 0,
"clientVersion": "sample string 13",
"clientOS": "sample string 14",
"clientBuild": "sample string 15",
"timeZone": 16,
"clientId": "sample string 17"
}
application/xml, text/xml
Sample:
<LoginInVO xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/AiChinese.Internal.API.VO.Input"> <ClientId xmlns="http://schemas.datacontract.org/2004/07/AiChinese.Internal.API.VO.Input.Common">sample string 17</ClientId> <ClientType xmlns="http://schemas.datacontract.org/2004/07/AiChinese.Internal.API.VO.Input.Common">Web</ClientType> <TimeZone xmlns="http://schemas.datacontract.org/2004/07/AiChinese.Internal.API.VO.Input.Common">16</TimeZone> <absoluteApplicationPath xmlns="http://schemas.datacontract.org/2004/07/AiChinese.Internal.API.VO.Input.Common">sample string 10</absoluteApplicationPath> <applicationPath xmlns="http://schemas.datacontract.org/2004/07/AiChinese.Internal.API.VO.Input.Common">sample string 8</applicationPath> <cachedKey xmlns="http://schemas.datacontract.org/2004/07/AiChinese.Internal.API.VO.Input.Common">sample string 1</cachedKey> <clientBuild xmlns="http://schemas.datacontract.org/2004/07/AiChinese.Internal.API.VO.Input.Common">sample string 15</clientBuild> <clientOS xmlns="http://schemas.datacontract.org/2004/07/AiChinese.Internal.API.VO.Input.Common">sample string 14</clientOS> <clientVersion xmlns="http://schemas.datacontract.org/2004/07/AiChinese.Internal.API.VO.Input.Common">sample string 13</clientVersion> <curUserId xmlns="http://schemas.datacontract.org/2004/07/AiChinese.Internal.API.VO.Input.Common">sample string 5</curUserId> <isHttps xmlns="http://schemas.datacontract.org/2004/07/AiChinese.Internal.API.VO.Input.Common">true</isHttps> <isMobileDevice xmlns="http://schemas.datacontract.org/2004/07/AiChinese.Internal.API.VO.Input.Common">true</isMobileDevice> <isSSO xmlns="http://schemas.datacontract.org/2004/07/AiChinese.Internal.API.VO.Input.Common">true</isSSO> <requestHost xmlns="http://schemas.datacontract.org/2004/07/AiChinese.Internal.API.VO.Input.Common">sample string 7</requestHost> <secureApplicationPath xmlns="http://schemas.datacontract.org/2004/07/AiChinese.Internal.API.VO.Input.Common">sample string 9</secureApplicationPath> <Email>sample string 1</Email> <IsSuperAdminLogin>true</IsSuperAdminLogin> <Password>sample string 2</Password> <UserTableType>3</UserTableType> </LoginInVO>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
the authenticated member object for the agent
Response body formats
application/json, text/json
Sample:
{
"isDone": true,
"code": 0,
"message": "sample string 2",
"cachedKey": "sample string 3",
"correlationId": "bf4acd9c-e789-4cec-ac6b-2d22f588d715",
"data": {
"user": {
"id": "sample string 1",
"email": "sample string 2",
"firstName": "sample string 3",
"lastName": "sample string 4",
"icon": {
"photo": "sample string 1",
"isUseAvatar": true,
"avatarBackgroundColor": "sample string 3",
"avatarName": "sample string 4"
},
"role": 5,
"roleName": "sample string 6",
"gender": "sample string 7",
"birthdate": "2026-02-07T01:52:03.3954398+08:00",
"isWechatLinked": true,
"isFacebookLinked": true,
"isGoogleLinked": true,
"fullName": "sample string 11",
"useState": "sample string 12",
"phone": "sample string 13",
"isoCode": "sample string 14",
"countryCode": "sample string 15",
"language": "sample string 16",
"referralCodeAsAgent": "sample string 17",
"referralCodeAsTeacher": "sample string 18",
"agentReferralCode": "sample string 19",
"teacherReferralCode": "sample string 20",
"reportEmails": "sample string 21",
"disabled": true,
"subagentEnabled": true,
"vipExpiredOn": "sample string 24"
},
"partnerList": [
{
"id": "sample string 1",
"name": "sample string 2",
"addedBy": "sample string 3",
"addedByFullName": "sample string 4",
"partnerUserAddedBy": "sample string 5",
"fullName": "sample string 6",
"role": 0,
"active": true,
"enableProduct": false,
"enableOtherAnswer": true,
"enablePromotion": false,
"enableBbs": true,
"enableOralAndReadBook": true
},
{
"id": "sample string 1",
"name": "sample string 2",
"addedBy": "sample string 3",
"addedByFullName": "sample string 4",
"partnerUserAddedBy": "sample string 5",
"fullName": "sample string 6",
"role": 0,
"active": true,
"enableProduct": false,
"enableOtherAnswer": true,
"enablePromotion": false,
"enableBbs": true,
"enableOralAndReadBook": true
},
{
"id": "sample string 1",
"name": "sample string 2",
"addedBy": "sample string 3",
"addedByFullName": "sample string 4",
"partnerUserAddedBy": "sample string 5",
"fullName": "sample string 6",
"role": 0,
"active": true,
"enableProduct": false,
"enableOtherAnswer": true,
"enablePromotion": false,
"enableBbs": true,
"enableOralAndReadBook": true
}
],
"authorization": {
"accessToken": "sample string 1",
"refreshToken": "sample string 2",
"utcExpiresDate": "2026-02-07T01:52:03.3954398+08:00",
"scope": "sample string 3"
},
"unitTaskParticipants": [
{
"id": 1,
"name": "sample string 2",
"participants": "sample string 3",
"userNames": "sample string 4",
"emails": "sample string 5"
},
{
"id": 1,
"name": "sample string 2",
"participants": "sample string 3",
"userNames": "sample string 4",
"emails": "sample string 5"
},
{
"id": 1,
"name": "sample string 2",
"participants": "sample string 3",
"userNames": "sample string 4",
"emails": "sample string 5"
}
],
"hasJoinAnyClass": true,
"enableLearnFunction": true,
"enableChinesePark": true,
"enableBbsFunction": true,
"enableEnglishSpokenUnit": true
}
}
application/xml, text/xml
Sample:
<ApiResponseOfLoginOutVOFP0KSs_SV xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/AiChinese.Internal.API"> <CachedKey>sample string 3</CachedKey> <Code>None</Code> <CorrelationId>bf4acd9c-e789-4cec-ac6b-2d22f588d715</CorrelationId> <IsDone>true</IsDone> <Message>sample string 2</Message> </ApiResponseOfLoginOutVOFP0KSs_SV>